Temp Projects - Tasks #10864

INVOICE NUMBER ERROR
06/17/2023 06:34 PM - Rijas P

Status: Closed Start date: 06/17/2023
Priority: Normal Due date:

Assignee: Rijas P % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.25 hour
Description

Dear Thaneesh,

Some of the invoice numbers are showing different numbers, please make these invoice numbers same as their order numbers.
Some of the invoices are in the attachment

Regards,

Lukman

History

#1 - 06/19/2023 09:22 AM - Mohamed Suhail
- File euro_invoiceno_corr_list.csv added
- Status changed from New to In Progress
- % Done changed from 0 to 50
Rijas P wrote:
Dear Thaneesh,
Some of the invoice numbers are showing different numbers, please make these invoice numbers same as their order numbers.
Some of the invoices are in the attachment
Regards,
Lukman

Please find attached the list of sales invoices created in the system since 1st May 2023
Let us know on what criteria we need to update invoice no with order no

#2 - 06/19/2023 10:27 AM - Peer Thanesh

- Assignee changed from Peer Thanesh to Mohamed Suhail

can we update using
where c_invoice_id between 1065297 and 1066838 and created >= '2023-05-02'

#3 - 06/19/2023 05:59 PM - Mohamed Suhail

- Assignee changed from Mohamed Suhail to Peer Thanesh

Peer Thanesh wrote:

can we update using
where c_invoice_id between 1065297 and 1066838 and created >= '2023-05-02'

Please send the list of invoices where we need to update invoice nos

#4 - 06/20/2023 01:05 PM - Peer Thanesh
- File POSI INVOICE ERROR .xIsx added

Suhail Bhai
Please see the attched file from Euro to update the invoice number

#5 - 06/20/2023 01:05 PM - Peer Thanesh

- Assignee changed from Peer Thanesh to Mohamed Suhail

#6 - 06/20/2023 07:37 PM - Mohamed Suhail
- Status changed from In Progress to Resolved
- Assignee changed from Mohamed Suhail to Peer Thanesh

- % Done changed from 50 to 100

Peer Thanesh wrote:

Subhail Bhai
Please see the attched file from Euro to update the invoice number

Done

euro=# update c_invoice ci set documentno=aa.orderno from ( select co.created,co.c_order_id,co.documentno
orderno,co.grandtotal,ci.created,ci.c_invoice_id,ci.documentno,ci.grandtotal from c_invoice ci join c_order co on ci.c_order_id=co.c_order_id where
ci.documentno in
('133467','133466','133477','133476','133475','133474','133473','133471','133470','133469','133468','133486','133478','133479','"133480','"133481','"133
482','133483','133484','133485','133490','133488','133489','133491','133509','133510",'133519','3001385','"133540'",'"133541",'"133543','"133542','300000
107','133553','133554','133555','133638','133558','133559','133560','133561','133562','133563','133556','133557','133581','133612','133568','133566',
'133567','133569','133571','133570','133574','133575','133572','133573','133578','133579','"133580','"133576','133582",'"133577','"133585','133590','133
593','133591','133592','133583",'133586','133587','133584",'133588",'133589','133611','133594",'133595','133600",'133601','133602','133603",'133604",
'133605','133597','133606','133598','133599','133610','133607','133608','133609','133596','133618','133613','133620','133614','133619','133615','133
621','133616','133617','133626','133622','133625','133623','133624','133629','133627','133630','133628','133633','133631','133634",'133635','133632',
'133636','133637','10','11','800000108") and co.documentno in
('1040713','1040712','1040757','1040754",'"1040753','1040752','"1040722','1040718','1040717','1040716','1040714','"1041061','1040978','1040980','"1 04
0981','1040985','1040986','1040987','1040988','1041024",'1041285','1041275','1041276','/1041341','1041771''1041778','1041847','300013895','10417
10','1041753','1041861','1041807','300013948','300013947','1041878','1041881','1041989','66069','66070','66156','66163','300013962','300013963",'6
6158','66151','1041908','1041929','66075','66165','66074','66078','66166','66164','66167','66168','66079','66169','66087','66089','65946','66077','3000
13980','66081','66177','1041920','66172','66076','66170','66088','66090','66091','66171','66095','66096','66182','66083",'66092','66176','66185','66 178"
,'66201','66203','66202','66179','66097','66099','66181','66180','66207",'66208','66206','66174','66094','66173','66204','66183",'66184",'66186','66211",’
66214','66190','66191','66082','66187','66188','66217','66218','66193','66197','66223','66210','66219','66065','66222','66189','66199','66200','PP3179',’
PP3223','300014170") order by ci.created) as aa where aa.c_invoice_id=ci.c_invoice_id and ci.c_order_id=aa.c_order_id;

UPDATE 120

#7 - 06/21/2023 11:57 AM - Peer Thanesh

- Assignee changed from Peer Thanesh to Rijas P

Lukman,
Please go through the invoices which we updated. Check if any invoices we missed.

#8 - 07/13/2023 07:39 PM - Rijas P

- Status changed from Resolved to Closed

#9 - 05/21/2024 04:05 PM - SHAIJAL EDAVANA
- Tracker changed from Bug to Tasks
- Project changed from Euro Novelties to Temp Projects

- Category deleted (Others)

Files

Screenshot 2023-06-17 170338.png 87.8 KB 06/17/2023 Rijas P
euro_invoiceno_corr_list.csv 20.8 KB 06/19/2023 Mohamed Suhail
POSI INVOICE ERROR.xIsx 14.3 KB 06/20/2023 Peer Thanesh
